<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'button_settings',

    /*
     * Modules.
     */
    'modules'   => ['button_settings', 
'button_settings'],

    'button_settings'       => [
        'model' => [
            'model'                 => \Litecms\ButtonSettings\Models\ButtonSettings::class,
            'table'                 => 'button_settings',
            'presenter'             => \Litecms\ButtonSettings\Repositories\Presenter\ButtonSettingsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => [],
            'translatables'         => [],
            'upload_folder'         => 'button_settings/button_settings',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'ButtonSettings',
            'module'    => 'ButtonSettings',
        ],

    ],

    'button_settings'       => [
        'model' => [
            'model'                 => \Litecms\ButtonSettings\Models\ButtonSettings::class,
            'table'                 => 'button_settings',
            'presenter'             => \Litecms\ButtonSettings\Repositories\Presenter\ButtonSettingsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['button_keyword',  'button_heading',  'show_button_key'],
            'translatables'         => [],
            'upload_folder'         => 'button_settings/button_settings',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'ButtonSettings',
            'module'    => 'ButtonSettings',
        ],

    ],
];
