<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for button_settings in button_settings package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  button_settings module in button_settings package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'ButtonSettings',
    'names'         => 'ButtonSettings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'ButtonSettings',
        'sub'   => 'ButtonSettings',
        'list'  => 'List of button_settings',
        'edit'  => 'Edit button_settings',
        'create'    => 'Create new button_settings'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'button_keyword'             => 'button keyword',
        'button_heading'             => 'button heading',
        'show_button_key'            => 'show button key',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'button_keyword'             => 'Button Keyword',
        'button_heading'             => 'Button Heading',
        'show_button_key'            => 'Show Button Key',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'button_keyword'             => ['name' => 'Button Keyword', 'data-column' => 1, 'checked'],
        'button_heading'             => ['name' => 'Button Heading', 'data-column' => 2, 'checked'],
        'show_button_key'            => ['name' => 'Show Button Key', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'ButtonSettings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
