            @include('button_settings::public.button_settings.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('button_settings::public.button_settings.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($button_settings->defaultImage('images' , 'xl'))!!}" alt="{{$button_settings->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="button_keyword">
                    {!! trans('button_settings::button_settings.label.button_keyword') !!}
                </label><br />
                    {!! $button_settings['button_keyword'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="button_heading">
                    {!! trans('button_settings::button_settings.label.button_heading') !!}
                </label><br />
                    {!! $button_settings['button_heading'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="show_button_key">
                    {!! trans('button_settings::button_settings.label.show_button_key') !!}
                </label><br />
                    {!! $button_settings['show_button_key'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('button_keyword')
                       -> label(trans('button_settings::button_settings.label.button_keyword'))
                       -> required()
                       -> placeholder(trans('button_settings::button_settings.placeholder.button_keyword'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('button_heading')
                       -> label(trans('button_settings::button_settings.label.button_heading'))
                       -> required()
                       -> placeholder(trans('button_settings::button_settings.placeholder.button_heading'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('show_button_key')
                    -> options(trans('button_settings::button_settings.options.show_button_key'))
                    -> label(trans('button_settings::button_settings.label.show_button_key'))
                    -> required()
                    -> placeholder(trans('button_settings::button_settings.placeholder.show_button_key'))!!}
               </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



