<?php

namespace Litecms\ButtonSettings;

use User;

class ButtonSettings
{
    /**
     * $button_settings object.
     */
    protected $button_settings;
    /**
     * $button_settings object.
     */
    protected $button_settings;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\ButtonSettings\Interfaces\ButtonSettingsRepositoryInterface $button_settings,
        \Litecms\ButtonSettings\Interfaces\ButtonSettingsRepositoryInterface $button_settings)
    {
        $this->button_settings = $button_settings;
        $this->button_settings = $button_settings;
    }

    /**
     * Returns count of button_settings.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.button_settings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->button_settings->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ButtonSettingsUserCriteria());
        }

        $button_settings = $this->button_settings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('button_settings::' . $view, compact('button_settings'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.button_settings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->button_settings->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ButtonSettingsUserCriteria());
        }

        $button_settings = $this->button_settings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('button_settings::' . $view, compact('button_settings'))->render();
    }
}
