<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateButtonSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: button_settings
         */
        Schema::create('button_settings', function ($table) {
            $table->increments('id');
            $table->text('button_keyword')->nullable();
            $table->text('button_heading')->nullable();
            $table->integer('show_button_key')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('button_settings');
    }
}
