Lavalite package that provides button_settings management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/button_settings`.

    "litecms/button_settings": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\ButtonSettings\Providers\ButtonSettingsServiceProvider::class,

And also add it to alias

    'ButtonSettings'  => Litecms\ButtonSettings\Facades\ButtonSettings::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\ButtonSettingsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\ButtonSettings\Providers\ButtonSettingsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\ButtonSettings\Providers\ButtonSettingsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\ButtonSettings\Providers\ButtonSettingsServiceProvider" --tag="view"


## Usage


